> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Order File

> Create a file for the specified order.



## OpenAPI

````yaml post /wms/orders/{order_id}/file
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/orders/{order_id}/file:
    post:
      summary: Create Order File
      description: Create a file for the specified order.
      operationId: post_wms_attach_order_file
      parameters:
        - in: path
          name: order_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AttachFileSchema'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttachFileOrderResponse'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    AttachFileSchema:
      type: object
      properties:
        file_url:
          type: string
          description: The URL of the file to attach.
          example: file_url
        file_name:
          type: string
          description: The name of the file to attach.
          example: file_name
        file:
          type: string
          format: binary
      additionalProperties: true
      title: AttachFileSchema
    AttachFileOrderResponse:
      type: object
      properties:
        data:
          type: string
          enum:
            - success
          description: Status of the file attachment
        id:
          type: string
          description: The ID of the object that has been created or modified
          example: id
        unused_fields:
          type: array
          description: Unused fields
          items:
            type: string
            description: ''
      required:
        - data
        - id
        - unused_fields
      additionalProperties: false
      title: AttachFileOrderResponse
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError

````